Documentation

Learning

Get content for studying

Returns a specific content item for studying. For quiz content (type >= 3), includes questions with shuffled answers (without revealing correct answers).

ProductionStagingUAT
GEThttps://ankiren.com/api/courses/{courseId}/content/{contentId}

Parameters

Path Parameters

  • courseIdintegerpathRequired
  • contentIdintegerpathRequired

Responses

200 · Content details for studying

  • idinteger
  • namestring
  • typeinteger
  • lessonstring?
  • videoUrlstring?
  • pdfUrlstring?
  • totalScoreinteger
  • progressUserContentProgress
    • idinteger
    • userIdstring
    • contentIdinteger
    • status"not_started" | "in_progress" | "completed"
    • scoreinteger?

      Quiz score as percentage (0-100)

    • totalQuestionsinteger?
    • completedAtstring<date-time>?
      format: date-time
    • updatedAtstring<date-time>
      format: date-time
  • unitobject
    • idinteger
    • titlestring
  • questions[CourseQuestion]

    Only present for quiz content (type >= 3)

    • idinteger
    • contentIdinteger
    • externalIdstring?
    • textstring
    • explanationstring?
    • sortOrderinteger
    • imageUrlstring<uri>?
      format: uri
    • type"multiple_choice" | "matching" | "dropdown" | …
      enum: multiple_choice, matching, dropdown, true_false, image
    • createdAtstring<date-time>
      format: date-time
    • answers[CourseAnswerPublic]
  • questionCountinteger

    Only present for quiz content

application/json
{
  "id": 0,
  "name": "string",
  "type": 0,
  "lesson": "string",
  "videoUrl": "string",
  "pdfUrl": "string",
  "totalScore": 0,
  "progress": {
    "id": 1,
    "userId": "user_abc123",
    "contentId": 1,
    "status": "completed",
    "score": 85,
    "totalQuestions": 10,
    "completedAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  },
  "unit": {
    "id": 0,
    "title": "string"
  },
  "questions": [
    {
      "id": 1,
      "contentId": 1,
      "externalId": "q-hiragana-001",
      "text": "What is the reading for this character: あ",
      "explanation": "あ is pronounced as 'a' like in 'father'",
      "sortOrder": 0,
      "imageUrl": "https://ankiren.com",
      "type": "multiple_choice",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "answers": [
        {
          "id": 0,
          "text": "string",
          "imageUrl": "string",
          "sortOrder": 0,
          "matchingKey": "string"
        }
      ]
    }
  ],
  "questionCount": 0
}

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X GET 'https://ankiren.com/api/courses/{courseId}/content/{contentId}' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json'